## vcdsrc vcdsrc |

## Properties

gchar * | device | Read / Write
gint | max-errors | Read / Write
gint | track | Read / Write

## Types and Values

struct | GstVCDSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstVCDSrc

## Implemented Interfaces

GstVCDSrc implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | vcdsrc
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstVCDSrc

    struct GstVCDSrc;

## Property Details

### The `“device”` property

      “device”                   gchar *

CD device location.

Flags: Read / Write

Default value: NULL

### The `“max-errors”` property

      “max-errors”               gint

Maximum number of errors before bailing out.

Flags: Read / Write

Allowed values: >= 0

Default value: 16

### The `“track”` property

      “track”                    gint

Track number to play.

Flags: Read / Write

Default value: 0